PDA

View Full Version : Unable to compile lt_hotswap 0.3.6.



barnys
31st October 2006, 08:20 PM
Hello,

I can't seem to be able to compile lt_hotswap 0.3.6 in my Thinkpad T42. I did it before but I was running into so many other problems that I decided to clean install again and now I can't get this one to work. I have been going at it for 6 hours now and I am ready to pull my hair off.
Some info to aid in my request:
[root@FC6 ~]# uname -r
2.6.18-1.2798.fc6

Basically what is happening is the following errror when I try to make:
[root@FC6 lt_hotswap-0.3.6]# make
make -C /lib/modules/`uname -r`/build SUBDIRS=/home/barnys/downloads/lt_hotswap-0.3.6 modules
make[1]: Entering directory `/usr/src/kernels/2.6.18-1.2798.fc6-i686'
CC [M] /home/barnys/downloads/lt_hotswap-0.3.6/lt_hotswap.o
/home/barnys/downloads/lt_hotswap-0.3.6/lt_hotswap.c:1:26: error: linux/config.h: No such file or directory
make[2]: *** [/home/barnys/downloads/lt_hotswap-0.3.6/lt_hotswap.o] Error 1
make[1]: *** [_module_/home/barnys/downloads/lt_hotswap-0.3.6] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.18-1.2798.fc6-i686'
make: *** [default] Error 2
[root@FC6 lt_hotswap-0.3.6]#


I can't get passed this point and I can't figure it out. PLEASE HELP! :confused:
I have acpi loaded, kernel-devel. I just can't think of what else I am missing.

Additional information about this project is at http://lths.sourceforge.net/. Again, I got it to work in the past after nearly 24 hrs. (what an idiot I know), but I can't figure it out. I have written to MANY people and have received no response to my requests for help.

Evidently I am still too new to Linux, and I keep on falling but I have had my good share of learning in three weeks now.